package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodableVector;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERString;
import com.jxdinfo.hussar.core.bouncycastle.util.Strings;
import java.io.IOException;

public class DERUTF8String extends ASN1Object implements DERString {
  String catch;
  
  public String toString() {
    return this.catch;
  }
  
  boolean asn1Equals(DERObject dERObject) {
    if (!(dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String))
      return false; 
    while (true) {
      com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String dERUTF8String = (com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String)dERObject;
      return getString().equals(dERUTF8String.getString());
    } 
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String)a; 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, DEREncodableVector.const("\022\001\021\023\001\020\rX\007\032\002\037\t\037[?(Q\006\t\b\"\025\r\032\020\017\037\t@J")).append(a.getClass().getName()).toString()); 
  }
  
  public DERUTF8String(String str) {
    this.catch = str;
  }
  
  void encode(DEROutputStream dEROutputStream) throws IOException {
    dEROutputStream.double(12, Strings.toUTF8ByteArray(this.catch));
  }
  
  public String getString() {
    return this.catch;
  }
  
  public DERUTF8String(byte[] arrayOfByte) {
    this.catch = Strings.fromUTF8ByteArray(arrayOfByte);
  }
  
  public int hashCode() {
    return getString().hashCode();
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String getInstance(ASN1TaggedObject a, int i) {
    DERObject dERObject = a.getObject();
    if (i != 0 || dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String)
      return getInstance(dERObject); 
    while (true)
      return new com.jxdinfo.hussar.core.bouncycastle.asn1.DERUTF8String(ASN1OctetString.getInstance(dERObject).getOctets()); 
  }
}
